### Hierarchy

- unknown
  - CheckConnectionReply

## Index

### Constructors

- constructor

### Methods

- clearConnection
- getConnection
- hasConnection
- serializeBinary
- setConnection
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new CheckConnectionReply(): CheckConnectionReply

- Inherited from jspb.Message.constructor

  #### Returns CheckConnectionReply

## Methods

### clearConnection

- clearConnection(): CheckConnectionReply

- - Defined in src/protobuf/grpc_pb.d.ts:1005

  #### Returns CheckConnectionReply

### getConnection

- getConnection(): undefined | UrlConnection

- - Defined in src/protobuf/grpc_pb.d.ts:1002

  #### Returns undefined | UrlConnection

### hasConnection

- hasConnection(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:1004

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1007

  #### Returns Uint8Array

### setConnection

- setConnection(value?: UrlConnection ): CheckConnectionReply

- - Defined in src/protobuf/grpc_pb.d.ts:1003

  #### Parameters

  - ##### Optional value: UrlConnection

  #### Returns CheckConnectionReply

### toObject

- toObject(includeInstance?: boolean): CheckConnectionReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1008

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns CheckConnectionReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): CheckConnectionReply

- - Defined in src/protobuf/grpc_pb.d.ts:1011

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CheckConnectionReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CheckConnectionReply, reader: BinaryReader): CheckConnectionReply

- - Defined in src/protobuf/grpc_pb.d.ts:1012

  #### Parameters

  - ##### message: CheckConnectionReply

  - ##### reader: BinaryReader

  #### Returns CheckConnectionReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: CheckConnectionReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1010

  #### Parameters

  - ##### message: CheckConnectionReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: CheckConnectionReply ): CheckConnectionReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1009

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CheckConnectionReply

  #### Returns CheckConnectionReply . AsObject

Generated using TypeDoc